%global modulename to-regex-range

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-to-regex-range
Version:        2.1.1
Release:        1%{?dist}
Summary:        Pass two numbers, get a regex-compatible source string for matching ranges. Validated against more than 2.78 million test assertions.

License:        MIT
URL:            https://github.com/micromatch/to-regex-range
Source0:        https://registry.npmjs.org/to-regex-range/-/to-regex-range-2.1.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(is-number) >= 3.0.0 with npmlib(is-number) < 4.0.0))
BuildRequires:  ((npmlib(repeat-string) >= 1.6.1 with npmlib(repeat-string) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Pass two numbers, get a regex-compatible source string for matching ranges. Validated against more than 2.78 million test assertions.

%package 2.1.1
Summary:        Pass two numbers, get a regex-compatible source string for matching ranges. Validated against more than 2.78 million test assertions.


%description 2.1.1
Pass two numbers, get a regex-compatible source string for matching ranges. Validated against more than 2.78 million test assertions.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.1.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.1.1-1
- Package automatically generated by npm2srpm
